Option Explicit On
Option Strict Off

Imports System.Runtime.InteropServices

'---------------------------------
' EPX-64C API library definitions
'---------------------------------

Module EPX64C

	'
	' Device status (Return codes)
	'

    Public Const EPX64C_OK As Integer = 0
    Public Const EPX64C_INVALID_HANDLE As Integer = 1
    Public Const EPX64C_DEVICE_NOT_FOUND As Integer = 2
    Public Const EPX64C_DEVICE_NOT_OPENED As Integer = 3
    Public Const EPX64C_OTHER_ERROR As Integer = 4
    Public Const EPX64C_COMMUNICATION_ERROR As Integer = 5
    Public Const EPX64C_INVALID_PARAMETER As Integer = 6


	'
	' I/O Port
	'

    Public Const EPX64C_PORT0 As Byte = &H1
    Public Const EPX64C_PORT1 As Byte = &H2
    Public Const EPX64C_PORT2 As Byte = &H4
    Public Const EPX64C_PORT3 As Byte = &H8
    Public Const EPX64C_PORT4 As Byte = &H10
    Public Const EPX64C_PORT5 As Byte = &H20
    Public Const EPX64C_PORT6 As Byte = &H40
    Public Const EPX64C_PORT7 As Byte = &H80

	'
	' Counter Mode
	'

	Public Const EPX64C_CNT_MODE_1PHASE As Integer = 0
	Public Const EPX64C_CNT_MODE_2PHASE As Integer = 1

	'
	' Counter Direction
	'

	Public Const EPX64C_CNT_DIR_UP As Integer = 0
	Public Const EPX64C_CNT_DIR_DOWN As Integer = 1

	'
	' Counter Control
	'

	Public Const EPX64C_CNT_DISABLE As Integer = 0
	Public Const EPX64C_CNT_ENABLE As Integer = 1

	'
	' Counter Status
	'

	Public Const EPX64C_CNT_STS_OK As Integer = 0
	Public Const EPX64C_CNT_STS_OVF As Integer = 1
	Public Const EPX64C_CNT_STS_UDF As Integer = 2


	'
	' Device Functions
	'

    Public Declare Function EPX64C_GetNumberOfDevices Lib "EPX64C.dll" (ByRef Number As Integer) As Integer
    Public Declare Function EPX64C_GetSerialNumber Lib "EPX64C.dll" (ByVal Index As Integer, ByRef SerialNumber As Integer) As Integer
    Public Declare Function EPX64C_Open Lib "EPX64C.dll" (ByRef Handle As System.IntPtr) As Integer
    Public Declare Function EPX64C_OpenBySerialNumber Lib "EPX64C.dll" (ByVal SerialNumber As Integer, ByRef Handle As System.IntPtr) As Integer
    Public Declare Function EPX64C_Close Lib "EPX64C.dll" (ByVal Handle As System.IntPtr) As Integer

 	'
	' I/O Port Functions
	'

    Public Declare Function EPX64C_SetDirection Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByVal Direction As Byte) As Integer
    Public Declare Function EPX64C_GetDirection Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByRef Direction As Byte) As Integer
    Public Declare Function EPX64C_OutputPort Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByVal Port As Byte, ByVal Value As Byte) As Integer
    Public Declare Function EPX64C_InputPort Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByVal Port As Byte, ByRef Value As Byte) As Integer

 	'
	' Counter Functions
	'

    Public Declare Function EPX64C_SetCounterMode Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByVal Mode As Integer) As Integer
    Public Declare Function EPX64C_GetCounterMode Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByRef Mode As Integer) As Integer
    Public Declare Function EPX64C_SetCounterDirection Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByVal Direction As Integer) As Integer
    Public Declare Function EPX64C_GetCounterDirection Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByRef Direction As Integer) As Integer
    Public Declare Function EPX64C_SetCounterControl Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByVal Control As Integer) As Integer
    Public Declare Function EPX64C_GetCounterControl Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByRef Control As Integer) As Integer
    Public Declare Function EPX64C_ResetCounter Lib "EPX64C.dll" (ByVal Handle As System.IntPtr) As Integer
    Public Declare Function EPX64C_GetCounterStatus Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByRef Status As Integer) As Integer
    Public Declare Function EPX64C_GetCounterValue Lib "EPX64C.dll" (ByVal Handle As System.IntPtr, ByRef Value As Integer) As Integer


End Module
