Attribute VB_Name = "EPX64C"
Option Explicit


'---------------------------------
' EPX-64C API library definitions
'---------------------------------

'
' Device status (Return codes)
'

Public Const EPX64C_OK As Long = 0
Public Const EPX64C_INVALID_HANDLE As Long = 1
Public Const EPX64C_DEVICE_NOT_FOUND As Long = 2
Public Const EPX64C_DEVICE_NOT_OPENED As Long = 3
Public Const EPX64C_OTHER_ERROR As Long = 4
Public Const EPX64C_COMMUNICATION_ERROR As Long = 5
Public Const EPX64C_INVALID_PARAMETER As Long = 6


'
' I/O Port
'

Public Const EPX64C_PORT0 As Byte = &H1
Public Const EPX64C_PORT1 As Byte = &H2
Public Const EPX64C_PORT2 As Byte = &H4
Public Const EPX64C_PORT3 As Byte = &H8
Public Const EPX64C_PORT4 As Byte = &H10
Public Const EPX64C_PORT5 As Byte = &H20
Public Const EPX64C_PORT6 As Byte = &H40
Public Const EPX64C_PORT7 As Byte = &H80

'
' Counter Mode
'

Public Const EPX64C_CNT_MODE_1PHASE As Long = 0
Public Const EPX64C_CNT_MODE_2PHASE As Long = 1

'
' Counter Direction
'

Public Const EPX64C_CNT_DIR_UP As Long = 0
Public Const EPX64C_CNT_DIR_DOWN As Long = 1

'
' Counter Control
'

Public Const EPX64C_CNT_DISABLE As Long = 0
Public Const EPX64C_CNT_ENABLE As Long = 1

'
' Counter Status
'

Public Const EPX64C_CNT_STS_OK As Long = 0
Public Const EPX64C_CNT_STS_OVF As Long = 1
Public Const EPX64C_CNT_STS_UDF As Long = 2


'
' Device Functions
'

Public Declare Function EPX64C_GetNumberOfDevices Lib "EPX64C.dll" (ByRef Number As Long) As Long
Public Declare Function EPX64C_GetSerialNumber Lib "EPX64C.dll" (ByVal Index As Long, ByRef SerialNumber As Long) As Long
Public Declare Function EPX64C_Open Lib "EPX64C.dll" (ByRef Handle As Long) As Long
Public Declare Function EPX64C_OpenBySerialNumber Lib "EPX64C.dll" (ByVal SerialNumber As Long, ByRef Handle As Long) As Long
Public Declare Function EPX64C_Close Lib "EPX64C.dll" (ByVal Handle As Long) As Long

'
' I/O Port Functions
'

Public Declare Function EPX64C_SetDirection Lib "EPX64C.dll" (ByVal Handle As Long, ByVal Direction As Byte) As Long
Public Declare Function EPX64C_GetDirection Lib "EPX64C.dll" (ByVal Handle As Long, ByRef Direction As Byte) As Long
Public Declare Function EPX64C_OutputPort Lib "EPX64C.dll" (ByVal Handle As Long, ByVal Port As Byte, ByVal Value As Byte) As Long
Public Declare Function EPX64C_InputPort Lib "EPX64C.dll" (ByVal Handle As Long, ByVal Port As Byte, ByRef Value As Byte) As Long

'
' Counter Functions
'

Public Declare Function EPX64C_SetCounterMode Lib "EPX64C.dll" (ByVal Handle As Long, ByVal Mode As Long) As Long
Public Declare Function EPX64C_GetCounterMode Lib "EPX64C.dll" (ByVal Handle As Long, ByRef Mode As Long) As Long
Public Declare Function EPX64C_SetCounterDirection Lib "EPX64C.dll" (ByVal Handle As Long, ByVal Direction As Long) As Long
Public Declare Function EPX64C_GetCounterDirection Lib "EPX64C.dll" (ByVal Handle As Long, ByRef Direction As Long) As Long
Public Declare Function EPX64C_SetCounterControl Lib "EPX64C.dll" (ByVal Handle As Long, ByVal Control As Long) As Long
Public Declare Function EPX64C_GetCounterControl Lib "EPX64C.dll" (ByVal Handle As Long, ByRef Control As Long) As Long
Public Declare Function EPX64C_ResetCounter Lib "EPX64C.dll" (ByVal Handle As Long) As Long
Public Declare Function EPX64C_GetCounterStatus Lib "EPX64C.dll" (ByVal Handle As Long, ByRef Status As Long) As Long
Public Declare Function EPX64C_GetCounterValue Lib "EPX64C.dll" (ByVal Handle As Long, ByRef Value As Long) As Long


